ServerEvents.recipes(event => {
    event.shapeless(
        Item.of('minecraft:flint'),
        [
            '3x minecraft:gravel'
        ]
    )
    event.shapeless(
        Item.of('minecraft:clay_ball', 4),
        [
            'minecraft:clay'
        ]
    )
    event.shaped(
        Item.of('minecraft:raw_iron'),
        [
            'ABA',
            'AAA',
            'ABA'
        ],
        {
            A: 'minecraft:stone',
            B: 'mekanism:crystal_iron'
        }
    )
    event.shaped(
        Item.of('minecraft:raw_gold'),
        [
            'ABA',
            'AAA',
            'ABA'
        ],
        {
            A: 'minecraft:stone',
            B: 'mekanism:crystal_gold'
        }
    )
    event.shaped(
        Item.of('mekanism:raw_osmium'),
        [
            'ABA',
            'AAA',
            'ABA'
        ],
        {
            A: 'minecraft:stone',
            B: 'mekanism:crystal_osmium'
        }
    )
    event.shaped(
        Item.of('minecraft:raw_copper'),
        [
            'ABA',
            'AAA',
            'ABA'
        ],
        {
            A: 'minecraft:stone',
            B: 'mekanism:crystal_copper'
        }
    )
    event.shaped(
        Item.of('thermal:raw_tin'),
        [
            'ABA',
            'AAA',
            'ABA'
        ],
        {
            A: 'minecraft:stone',
            B: 'mekanism:crystal_tin'
        }
    )
    event.shaped(
        Item.of('thermal:raw_lead'),
        [
            'ABA',
            'AAA',
            'ABA'
        ],
        {
            A: 'minecraft:stone',
            B: 'mekanism:crystal_lead'
        }
    )
    event.shaped(
        Item.of('immersiveengineering:raw_uranium'),
        [
            'ABA',
            'AAA',
            'ABA'
        ],
        {
            A: 'minecraft:stone',
            B: 'mekanism:crystal_uranium'
        }
    )
    event.shaped(
        Item.of('immersiveengineering:raw_aluminum'),
        [
            'ABA',
            'AAA',
            'ABA'
        ],
        {
            A: 'minecraft:stone',
            B: 'moremekanismprocessing:crystal_aluminum'
        }
    )
    event.shaped(
        Item.of('thermal:raw_nickel'),
        [
            'ABA',
            'AAA',
            'ABA'
        ],
        {
            A: 'minecraft:stone',
            B: 'moremekanismprocessing:crystal_nickel'
        }
    )
    event.shaped(
        Item.of('thermal:raw_silver'),
        [
            'ABA',
            'AAA',
            'ABA'
        ],
        {
            A: 'minecraft:stone',
            B: 'moremekanismprocessing:crystal_silver'
        }
    )
    event.shaped(
        Item.of('create:raw_zinc'),
        [
            'ABA',
            'AAA',
            'ABA'
        ],
        {
            A: 'minecraft:stone',
            B: 'moremekanismprocessing:crystal_zinc'
        }
    )
    event.shaped(
        Item.of('minecraft:spawner'),
        [
            'ABA',
            'BCB',
            'ABA'
        ],
        {
            A: 'forbidden_arcanus:spawner_scrap',
            B: 'thermal_extra:soul_infused_glass',
            C: 'ars_additions:source_spawner'
        }
    )
    event.shaped(
        Item.of('minecraft:bedrock'),
        [
            'AAA',
            'ABA',
            'AAA'
        ],
        {
            A: 'minecraft:deepslate',
            B: 'minecraft:netherite_ingot'
        }
    )
    event.shaped(
        Item.of('minecraft:barrier'),
        [
            'AAA',
            'ABA',
            'AAA'
        ],
        {
            A: 'connectedglass:clear_glass',
            B: 'minecraft:netherite_ingot'
        }
    )
    event.remove({ output: 'minecraft:chain' })
    event.shaped(
        Item.of('minecraft:chain',2),
        [
            'A',
            'B',
            'A'
        ],
        {
            A: '#forge:nuggets/zinc',
            B: 'create:zinc_ingot'
        }
    )
    event.shaped(
        Item.of('minecraft:chain',2),
        [
            'A',
            'B',
            'A'
        ],
        {
            A: '#forge:nuggets/iron',
            B: 'minecraft:iron_ingot'
        }
    )
})